Bug 1576733 - Fedora 28: Can't boot ISO in s390x KVM
Summary: Fedora 28: Can't boot ISO in s390x KVM
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lorax
Version: 28
Hardware: s390x
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Brian Lane
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1478448
Blocks: 1594179
TreeView+ depends on / blocked
 
Reported: 2018-05-10 09:31 UTC by IBM Bug Proxy
Modified: 2018-06-28 14:06 UTC (History)
15 users (show)

Fixed In Version: lorax-28.11-1 lorax-28.15-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1578402 1594179 (view as bug list)
Environment:
Last Closed: 2018-06-28 14:06:30 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 167645 0 None None None 2019-04-22 16:39:38 UTC

Description IBM Bug Proxy 2018-05-10 09:31:14 UTC

Comment 1 IBM Bug Proxy 2018-05-10 09:31:30 UTC
---Problem Description---
Can't boot Fedora ISO under KVM.

KVM allows to boot virtual machines from an ISO with an s390 boot catalog. E.g., RHEL 7.5 can be booted from ISO under RHEL-Alt 7.5 or any other KVM with ISO boot support.
It would really be nice if this would work for Fedora as well. 
  
---uname output---
Linux s3560022.boeblingen.de.ibm.com 4.16.6-202.fc27.s390x #1 SMP Tue May 1 23:15:29 UTC 2018 s390x s390x s390x GNU/Linux
 
Machine Type = 3906-703 (IBM z14) 
 
---boot type---
CDROM / ISO image
 
---Install repository type---
CDROM
 
---Point of failure---
Failed during boot of installer

Comment 2 Dan Horák 2018-05-10 16:11:31 UTC
What ISO image have you tried? The regular Fedora-Server-dvd-s390x-28-1.1.iso or the netinst one (Fedora-Server-netinst-s390x-28-1.1.iso)? The "netinst" is created with mk-s390-cdboot tool and should be directly bootable.

Comment 3 IBM Bug Proxy 2018-05-14 07:21:21 UTC
------- Comment From MIHAJLOV@de.ibm.com 2018-05-14 03:12 EDT-------
I've used the netinst ISO. Here's the console output from the start attempt
---------------------------------------------------------------------------------
[root@s3560001 ~]# virsh start --console f28
Domain f28 started
Connected to domain f28
Escape character is ^]
SCSI CD-ROM detected.
No suitable boot entry found on ISO-9660 media!
---------------------------------------------------------------------------------

I've used the following XML to define the VM:

<domain type='kvm'>
<name>f28</name>
<memory unit='KiB'>2097152</memory>
<vcpu>2</vcpu>
<os>
<type arch='s390x'>hvm</type>
</os>
<on_crash>preserve</on_crash>
<devices>
<disk type='file' device='cdrom'>
<driver name='qemu' type='raw'/>
<source file='/var/lib/libvirt/images/Fedora-Server-netinst-s390x-28-1.1.iso'/>
<target dev='sda' bus='scsi'/>
<readonly/>
<boot order='1'/>
</disk>
<disk type='file' device='disk'>
<driver name='qemu' type='qcow2'/>
<source file='/var/lib/libvirt/images/f28.img'/>
<target dev='vda' bus='virtio'/>
</disk>
<interface type='network'>
<source network='default'/>
<model type='virtio'/>
</interface>
<console type='pty'>
<target type='sclp' port='0'/>
</console>
</devices>
</domain>

Comment 4 Dan Horák 2018-05-14 11:35:01 UTC
I think I see what's the problem, the master branch is missing https://github.com/weldr/lorax/commit/df35857c9bc59b27939e339a27855496114aa3e8

Comment 5 Brian Lane 2018-05-14 21:37:05 UTC
Pushed this to master, it will be in lorax-29.3-1 and eventually in 28.11-1 when I backport lorax-composer

Comment 6 Fedora Update System 2018-05-17 22:05:42 UTC
lorax-28.11-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-98f6c89898

Comment 7 Fedora Update System 2018-05-19 04:20:41 UTC
lorax-28.11-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-98f6c89898

Comment 8 Fedora Update System 2018-05-24 16:55:09 UTC
lorax-28.12-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-77b9570ea1

Comment 9 Fedora Update System 2018-05-25 18:45:02 UTC
lorax-28.12-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-77b9570ea1

Comment 10 Fedora Update System 2018-06-05 00:26:38 UTC
lorax-28.13-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-50a787999b

Comment 11 Fedora Update System 2018-06-05 14:50:14 UTC
lorax-28.13-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-50a787999b

Comment 12 Fedora Update System 2018-06-07 16:41:15 UTC
lorax-28.14-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-90c68c133d

Comment 13 Fedora Update System 2018-06-08 12:58:55 UTC
lorax-28.14-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-90c68c133d

Comment 14 Fedora Update System 2018-06-11 19:25:56 UTC
lorax-28.15-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b709ebc5e

Comment 15 Fedora Update System 2018-06-12 15:12:02 UTC
lorax-28.15-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b709ebc5e

Comment 16 Fedora Update System 2018-06-28 14:06:30 UTC
lorax-28.15-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.